TechDraw: Raggio

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw RadiusDimension and the translation is 41% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский
Arrow-left.svg Pagina precedente: TechDraw Dimension Vertical.svg Dimensione verticale
Pagina successiva: Diametro TechDraw Dimension Diameter.svg Arrow-right.svg

TechDraw Dimension Radius.svg Raggio

Posizione nel menu
TechDraw → Raggio
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Diametro

Descrizione

Lo strumento Raggio aggiunge una dimensione di diametro a una vista. La dimensione può essere applicata a qualsiasi bordo circolare del disegno. Inizialmente viene indicato il valore della distanza proiettata (vale a dire, come mostrato nel disegno), ma questo valore può essere sostituito con quello dell'effettiva distanza 3D utilizzando lo strumento TechDraw Dimension Link.svg Link alla dimensione.

TechDraw Dimension Radius example.png

Misurare un cerchio, indicando il raggio

Uso

  1. Selezionare un cerchio o arco di cerchio nel disegno. (Notare che alcuni archi che sembrano essere circolari sono in realtà ellissi o B spline. In questi casi non si può creare una dimensione di raggio)
  2. Premere il pulsante TechDraw Dimension Radius.svg Raggio
  3. Alla Vista viene aggiunta una dimensione. La dimensione può essere trascinata nella posizione desiderata.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Limitazioni

Gli oggetti dimensione sono vulnerabili ai problemi di "denominazione topologica". Per maggiori informazioni vedere le informazioni nello strumento Lunghezza.

Proprietà

Questo oggetto ha le stesse proprietà dello strumento Lunghezza

Script

Vedere anche: API TechDraw e Nozioni di base sugli script di FreeCAD.

Lo strumento Raggio può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)


Arrow-left.svg Pagina precedente: TechDraw Dimension Vertical.svg Dimensione verticale
Pagina successiva: Diametro TechDraw Dimension Diameter.svg Arrow-right.svg